View Issue Details

IDProjectCategoryView StatusLast Update
0003753SketcherBugpublic2019-01-09 10:18
ReporterbgoodrAssigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionno change required 
PlatformLinux 64-bitOSUbuntuOS Version18.04.1 LTS
Product Version0.18 
Target VersionFixed in Version0.18 
Summary0003753: Crash when opening a Sketch created in earlier FreeCAD Daily build
DescriptionDouble clicking on a Sketch in my file I created crashes. The file was created originally using version 0.18.15495 (Git), but freecad-daily version 0.18.15513 (Git) now crashes consistently.
Steps To Reproduce
  1. Open up the attached document
  2. Double-click on "skMaster" sketch.
  3. Application crashes with a Segmentation violation.
Additional InformationOS: Ubuntu 18.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15513 (Git)
Build type: Release
Branch: master
Hash: 42e6650ac0e6c6e53ebb7f2bb83a07a555ea51b0
Python version: 2.7.15rc1
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)
TagsNo tags attached.

Activities

bgoodr

2018-12-29 15:09

reporter  

crash_bug_report.863b5354-90eb-45c8-b5ad-f79da8c9512a.fcstd (142,047 bytes)

bgoodr

2018-12-29 16:00

reporter   ~0012345

I verified this particular crash is reproduceable on "freecad-stable" installed via:

sudo add-apt-repository ppa:freecad-maintainers/freecad-stable
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install freecad

version produced above is:

OS: Ubuntu 18.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13541 (Git)
Build type: None
Branch: releases/FreeCAD-0-17
Hash: 9948ee4f1570df9216862a79705afb367b2c6ffb
Python version: 2.7.15rc1
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)

bgoodr

2018-12-29 16:31

reporter   ~0012346

Find attached a version of the file that is causing the crash but with all groups deleted except for the one containing "skMaster" sketch. This one crashes consistently when double-clicking on "skMaster" on freecad-daily as of:

OS: Ubuntu 18.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15513 (Git)
Build type: Release
Branch: master
Hash: 42e6650ac0e6c6e53ebb7f2bb83a07a555ea51b0
Python version: 2.7.15rc1
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)

I can delete the "skMaster" and create a new sketch without crashing. So something I did in that "skMaster" caused something to go haywire.

crash_bug_report.20aebe4a-da4d-4879-944b-ac93e2af2ff6.fcstd (9,256 bytes)

bgoodr

2018-12-29 16:58

reporter   ~0012347

Sigh. There is no way to go back and edit my original post in this thread. So here is what I missed:

https://forum.freecadweb.org/viewtopic.php?f=3&t=33065

is the original forum post.

wmayer

2019-01-01 17:37

administrator   ~0012359

I cannot confirm the crash. As discussed in the forum it may be related to broken ppa packages where two different Coin3d versions are used within FreeCAD.

Kunda1

2019-01-04 18:53

administrator   ~0012370

@bgoodr can you still replicate the crash now that the PPA is fixed ?

bgoodr

2019-01-05 22:05

reporter   ~0012393

Confirmed no crash on this version:


OS: Ubuntu 18.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15521 (Git)
Build type: Release
Branch: master
Hash: 6cdeab9c1469a41f24ae5e8fa9091c9bdfbb90db
Python version: 2.7.15rc1
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)

Issue History

Date Modified Username Field Change
2018-12-29 15:09 bgoodr New Issue
2018-12-29 15:09 bgoodr File Added: crash_bug_report.863b5354-90eb-45c8-b5ad-f79da8c9512a.fcstd
2018-12-29 16:00 bgoodr Note Added: 0012345
2018-12-29 16:31 bgoodr File Added: crash_bug_report.20aebe4a-da4d-4879-944b-ac93e2af2ff6.fcstd
2018-12-29 16:31 bgoodr Note Added: 0012346
2018-12-29 16:58 bgoodr Note Added: 0012347
2019-01-01 17:37 wmayer Status new => feedback
2019-01-01 17:37 wmayer Note Added: 0012359
2019-01-04 18:53 Kunda1 Note Added: 0012370
2019-01-05 22:05 bgoodr Note Added: 0012393
2019-01-05 22:05 bgoodr Status feedback => new
2019-01-09 10:18 wmayer Status new => closed
2019-01-09 10:18 wmayer Resolution open => no change required
2019-01-09 10:18 wmayer Fixed in Version => 0.18